Bug 198975 - fdisk_wrapper.py has missing option-parm in sfdisk command
fdisk_wrapper.py has missing option-parm in sfdisk command
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanko Kupcevic
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 04:03 EDT by James G. Sack
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 16:50:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James G. Sack 2006-07-15 04:03:06 EDT
Description of problem:
 from inspection, line 56 of fdisk_wrapper.py seems to omit an option parm for 
the sfdisk -u option.

 s/'-u', devname/'-u', 's', devname/

Version-Release number of selected component (if applicable):
 system-config-lvm-1.0.18-1.2.FC5

How reproducible:
 I haven't actually seen any consequences, haven't tried to cause an error, but 
runninf sfdisk -u without a units parm causes the devname arg to be ignored, 
which I presume could cause confusion.

Regards,
..jim
Comment 1 James G. Sack 2006-07-15 04:11:44 EDT
I believe I should have suggested an 'S' arg rather than 's'.

Another way to state it is to make line 56 look like line 87, which would give
  res = execWithCapture(SFDISK, [SFDISK, '-l', '-uS', devname]) 

..jim
Comment 2 Stanko Kupcevic 2006-12-18 16:50:06 EST
Line 56 uses fdisk (which doesn't allow argument to -u option), and not sfdisk,
which is in use on line 87. 

Note You need to log in before you can comment on or make changes to this bug.